pub mod check;
pub mod cmd;
pub mod data;
pub mod error;
pub mod import;
pub mod io;
pub mod show;

mod prelude {
    pub use crate::error::DataError;
    pub use crate::io::Spanned;
    pub use crate::{check, data, import, io, show};
}

fn main() -> anyhow::Result<()> {
    use clap::Parser;
    let inv = cmd::Invocation::parse();

    pretty_env_logger::formatted_builder()
        .filter_level(match inv.verbose {
            0 => log::LevelFilter::Info,
            1 => log::LevelFilter::Debug,
            _ => log::LevelFilter::Trace,
        })
        .init();

    inv.cmd.run(&inv)
}
